package controller;

import java.net.*;

import model.*;

import ui.*;

public class AppletController extends BambooController {

	private AppletView view;

	public AppletController(final BambooModel model) {
		super(model);
		view = new AppletView(this, model);
		setView(view);
		view.createView();
	}

	public AppletController(final BambooModel model, final URL url) {
		super(model);
		this.halfLock();
		Cell[][] map = parser.parseMap(url);
		model.getLayerList().loadMap(map);
		view = new AppletView(this, model);
		int size = Math.max(map.length, map[0].length);
		int masuSize = Math.min(24, 24 * 25 / size);
		view.setParameter(map[0].length, map.length, masuSize);
		setView(view);
		view.createView();
//		this.newModel();
	}

	public AppletController(BambooModel model, String string)
			throws MalformedURLException {
		this(model, new URL(string));
	}
}
